ssclient

## Class HNSTableSuppport.HNSModel

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - ssclient.HNSTableSuppport.HNSModel

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.table.TableModel
  Enclosing class:
    HNSTableSuppport

      public static class HNSTableSuppport.HNSModel
      extends javax.swing.table.AbstractTableModel

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HNSModel(HNSSign[] signs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<?>` | `getColumnClass(int c)`
    `int` | `getColumnCount()`
    `java.lang.String` | `getColumnName(int col)`
    `int` | `getRowCount()`
    `java.lang.Object` | `getValueAt(int row, int col)`
    `boolean` | `isCellEditable(int row, int col)`
    `void` | `setValueAt(java.lang.Object value, int row, int col)`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HNSModel

          public HNSModel(HNSSign[] signs)

  - ### Method Detail

    - #### getColumnCount

          public int getColumnCount()

    - #### getRowCount

          public int getRowCount()

    - #### getColumnName

          public java.lang.String getColumnName(int col)

      Specified by:
        `getColumnName` in interface `javax.swing.table.TableModel`
      Overrides:
        `getColumnName` in class `javax.swing.table.AbstractTableModel`

    - #### getValueAt

          public java.lang.Object getValueAt(int row,
                                             int col)

    - #### setValueAt

          public void setValueAt(java.lang.Object value,
                                 int row,
                                 int col)

      Specified by:
        `setValueAt` in interface `javax.swing.table.TableModel`
      Overrides:
        `setValueAt` in class `javax.swing.table.AbstractTableModel`

    - #### getColumnClass

          public java.lang.Class<?> getColumnClass(int c)

      Specified by:
        `getColumnClass` in interface `javax.swing.table.TableModel`
      Overrides:
        `getColumnClass` in class `javax.swing.table.AbstractTableModel`

    - #### isCellEditable

          public boolean isCellEditable(int row,
                                        int col)

      Specified by:
        `isCellEditable` in interface `javax.swing.table.TableModel`
      Overrides:
        `isCellEditable` in class `javax.swing.table.AbstractTableModel`